Skala
Work order materials

Get work order material details

Retrieves the specific details of a single work order material using its unique identifier.

GET
/api/work_order_materials/{id}

Retrieves the specific details of a single work order material using its unique identifier.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

WorkOrderMaterial identifier

Response Body

application/json

curl -X GET "https://api.skalasuite.com/api/work_order_materials/string"
{
  "id": 0,
  "variant": "/entity/1",
  "notes": "string",
  "plannedQuantity": "string",
  "cost": "string",
  "status": "string",
  "expectedDate": "2019-08-24T14:15:22Z",
  "workOrder": "/entity/1",
  "totalQuantity": "string",
  "wastage": "string",
  "batches": [
    "/entity/1"
  ],
  "logs": [
    "/entity/1"
  ],
  "actualQuantity": "string",
  "serialNumbers": [
    "/entity/1"
  ],
  "materialUnitCost": "string",
  "consumedQuantity": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty